$( document ).ready(function(){
  verificaURL();
  
  $('.menu').click(function(item){
	mudaDestaque(item.target.id);
  });
  
  /*$('.menuPersonagens').click(function(item){
	//mudaDestaque(item.target.id);
	//alert(item.target.id);
	//window.location.hash='#linkCarol';
	//idPersonagem = item.target.id;
	//idPersonagem = idPersonagem.toLowerCase().split('menu');
	//alert(idPersonagem[1]);
	//mudaPersonagem(idPersonagem[1]);
  });*/ 
});

$(document).bind('DOMSubtreeModified', function () {
  $('.menuPersonagens').click(function(item){
	idPersonagem = item.target.id;
	idPersonagem = idPersonagem.toLowerCase().split('menu');
	mudaPersonagem(idPersonagem[1]);
  });
});

function verificaURL(){
  var url = document.URL;
  idDestacado = url.split("#");
  idDestacado = idDestacado[1];
  mudaDestaque(idDestacado);
}

function mudaDestaque(idDestacado){
  $('.menu li').removeClass('selecionado');
  $('#cont').empty();
  
  /*if(idDestacado === 'personagens'){
	$('#lipersonagens').addClass('selecionado');
    $('#cont').append(personagens);
    
    var url = document.URL;
    idPersonagem = url.split("#");
    idPersonagem = idPersonagem[2];
    
    mudaPersonagem(idPersonagem);
  }else if(idDestacado === 'galeria'){
	$('#ligaleria').addClass('selecionado');
    $('#cont').append('<h1>Galeria</h1>');
  }else if(idDestacado === 'sobre'){
	$('#lisobre').addClass('selecionado');
    $('#cont').append(sobre);
  }else{
	$('#liinfo').addClass('selecionado');
    $('#cont').append(info);
  }*/
  
  switch(idDestacado){
    case 'personagens':
      $('#lipersonagens').addClass('selecionado');
      $('#cont').append(personagens);
      var url = document.URL;
      idPersonagem = url.split("#");
      idPersonagem = idPersonagem[2];
      mudaPersonagem(idPersonagem);
      break;
    
    case 'galeria':
      $('#ligaleria').addClass('selecionado');
      $('#cont').append(galeria);
      break;
      
    case 'sobre':
      $('#lisobre').addClass('selecionado');
      $('#cont').append(sobre);
      break;
      
    default:
      $('#liinfo').addClass('selecionado');
      $('#cont').append(info);
      break;
  }
}


function mudaPersonagem(idPersonagem){
  window.location.hash='#' + idPersonagem;
  /*switch(idPersonagem){
	case 'lilac':
	  window.location.hash='#lilac';
	  break;
	case 'carol':
	  window.location.hash='#carol';
	  break;
	case 'milla':
	  window.location.hash='#milla';
	  break;
	case 'neera':
	  window.location.hash='#neera';
	  break;
	case 'gong':
	  window.location.hash='#gong';
	  break;
  }*/
}
